package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="RupAnggaran_T")
public class RupAnggaran extends BaseTransaction {
	
	@NotNull(message="Kode RUP Anggaran tidak boleh kosong")
	@Caption(value="Kode RUP Anggaran")
	@Column(name="KodeRupAnggaran", length = 50, updatable = false, nullable = true)
	private String kdRupAnggaran;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectDetailAnggaranFk")
	@Caption(value="Detail Anggaran")
	private DetailAnggaran detailAnggaran;
	
	@Column(name="ObjectDetailAnggaranFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String detailAnggaranId;
	
	@NotNull(message="Kode Pengadaan tidak boleh kosong")
	@Caption(value="Kode Pengadaan")
	@Column(name="KodePengadaan", length = 50, updatable = false, nullable = true)
	private String kdPengadaan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectLokasiFk")
	@Caption(value="Lokasi")
	private Lokasi lokasi;
	
	@Column(name="ObjectLokasiFk", insertable = false, updatable = false, nullable = false)
	private Integer lokasiId;

	public String getKdRupAnggaran() {
		return kdRupAnggaran;
	}

	public void setKdRupAnggaran(String kdRupAnggaran) {
		this.kdRupAnggaran = kdRupAnggaran;
	}

	public DetailAnggaran getDetailAnggaran() {
		return detailAnggaran;
	}

	public void setDetailAnggaran(DetailAnggaran detailAnggaran) {
		this.detailAnggaran = detailAnggaran;
	}

	public String getKdPengadaan() {
		return kdPengadaan;
	}

	public void setKdPengadaan(String kdPengadaan) {
		this.kdPengadaan = kdPengadaan;
	}

	public Lokasi getLokasi() {
		return lokasi;
	}

	public void setLokasi(Lokasi lokasi) {
		this.lokasi = lokasi;
	}

	public Integer getLokasiId() {
		return lokasiId;
	}

	public void setLokasiId(Integer lokasiId) {
		this.lokasiId = lokasiId;
	}
	
	

}
